Bug 669467 - [RFE] Relation between Contract/Subscription number and Server ID - Satellite Client - and Expiration Date
[RFE] Relation between Contract/Subscription number and Server ID - Satellite...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
Nightly
Unspecified Unspecified
low Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature
Depends On:
Blocks: sat-nextgen
  Show dependency treegraph
 
Reported: 2011-01-13 13:28 EST by Frederic Hornain
Modified: 2014-12-04 12:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-04 12:08:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederic Hornain 2011-01-13 13:28:31 EST
Description of problem:

Many customers would be interested to have the possibility to reply to that question :

What server is using what subscription ?

Ok, the workaround will be to create Activation Key for each contract number and to do regular check on the Red Hat customer portal to see expiration date.

But, it is adding another huge administrative task to our clients. 
And indeed they do not want that even if it is going to be more and more necessary. Specially when you start to play with hundred and hundred Red Hat Network Satellite Clients.

So, Could you help us to solve this huge and painful management problem ?

The first and the quicker reply to that problem will be to offer APIs on the Red Hat customer portal to our clients in order to let customers - in the case where they uses Activation Key ID with the contract number - the possibility to make the relation via scripts between contract number and activation Key.  

The second will be to create that relation in a transparent way for the customer in the RHNS.

It certainly exists other solutions, I let you imagination and innovation do their job ;).

Thanks in advance for your comprehension and you great help. 

BR
Frederic ; )
Comment 1 Clifford Perry 2011-01-19 17:26:52 EST
Hi,
Please open a support ticket for this RFE request. This will allow Red Hat to
help fill out an RFE template and align for Product Management review for future alignment. 

Regards,
Cliff
Comment 4 Bryan Kearney 2014-12-04 12:08:55 EST
In satellite 6.0, we support subscriptions which know their contract number. You can drill down into the systems which consume those subscriptions, and you can view the contract and order information from the system. We believe this meets the  requirements of this RFE. If you disagree, please feel free to re-open.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.